# Generated by go2rpm
%bcond_without check
%global debug_package %{nil}

# https://github.com/prometheus/common
%global goipath         github.com/prometheus/common
Version:                0.35.0

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-github-prometheus-common-promlog-devel < 0.35.0
}

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Go libraries shared across prometheus components and libraries
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/signer/v4)
BuildRequires:  golang(github.com/go-kit/log)
BuildRequires:  golang(github.com/go-kit/log/level)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/julienschmidt/httprouter)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
BuildRequires:  golang(github.com/mwitkow/go-conntrack)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/clientcredentials)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
	
%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# Go 1.18 deprecated SHA1-RSA
export GODEBUG=x509sha1=1
%gocheck
%endif

%gopkgfiles


%changelog
* Sun Aug 21 2022 guillomovitch <guillomovitch> 0.35.0-2.mga9
+ Revision: 1879092
- obsoletes golang-github-prometheus-common-promlog

* Sun Aug 21 2022 guillomovitch <guillomovitch> 0.35.0-1.mga9
+ Revision: 1878948
- new version 0.35.0

* Wed Apr 06 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1845968
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 guillomovitch <guillomovitch> 0.30.0-1.mga9
+ Revision: 1756610
- new version 0.30.0

* Thu Dec 31 2020 pterjan <pterjan> 0.15.0-2.mga8
+ Revision: 1667208
- Disable bootstrap

* Tue Dec 29 2020 pterjan <pterjan> 0.15.0-1.mga8
+ Revision: 1664839
- Update to 0.15.0

* Sun Nov 01 2020 pterjan <pterjan> 0.10.0-1.mga8
+ Revision: 1641537
- Sync with Fedora and bootstrap again

* Sat Nov 24 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1333839
- Properly bootstrap
- imported package golang-github-prometheus-common


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.git38c53a9
- Temporarily remove the promlog due to missing github.com/go-kit/kit dependency
  resolves: #1599386

* Wed Jun 27 2018 Paul Gier <pgier@redhat.com> - 0-0.14.git38c53a9
- Update to newer snapshot version
- Enable checks for config and log dirs

* Tue Jun 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git49fee29
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git49fee29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git49fee29
- add missing dependency
  related: #1315096

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git49fee29
- Bump to upstream 49fee292b27bfff7f354ee0f64e1bc4850462edf
  related: #1315096

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.7.git195bde7
- Bump to upstream 195bde7883f7c39ea62b0d92ab7359b5327065cb
  related: #1315096

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git4fdc91a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git4fdc91a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.4.git4fdc91a
- Bump to upstream 4fdc91a58c9d3696b982e8a680f4997403132d44
  resolves: #1315096

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitffe929a
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitffe929a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitffe929a
- First package for Fedora
  resolves: #1272465
